%define majver %(echo %version | cut -d. -f1-2)
%define gitver %(echo %version | tr . _)
Name:          zenity
Version:       3.44.0
Release:       1mamba
Summary:       A tool that allows you to display GTK dialog boxes in commandline and shell scripts
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://wiki.gnome.org/Projects/Zenity
Source:        https://download.gnome.org/sources/zenity/%{majver}/zenity-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libpango-devel
## AUTOBUILDREQ-END
BuildRequires: libyelp-devel

%description
A tool that allows you to display GTK dialog boxes in commandline and shell scripts.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/gdialog
%{_bindir}/zenity
#%{_datadir}/zenity/clothes/*.png
%{_datadir}/zenity/zenity.ui
%{_datadir}/zenity/zenity*.png
%dir %{_datadir}/help/*/zenity
%{_datadir}/help/*/zenity/*
%{_mandir}/man1/zenity.1*
%doc AUTHORS COPYING
# ChangeLog NEWS README THANKS TODO

%changelog
* Thu Jan 26 2023 Automatic Build System <autodist@mambasoft.it> 3.44.0-1mamba
- automatic version update by autodist

* Thu Apr 28 2022 Automatic Build System <autodist@mambasoft.it> 3.42.1-1mamba
- automatic version update by autodist

* Tue Apr 19 2022 Automatic Build System <autodist@mambasoft.it> 3.42.0-1mamba
- automatic version update by autodist

* Mon Mar 25 2019 Automatic Build System <autodist@mambasoft.it> 3.32.0-1mamba
- automatic version update by autodist

* Fri Oct 05 2018 Automatic Build System <autodist@mambasoft.it> 3.30.0-1mamba
- automatic version update by autodist

* Fri Apr 13 2018 Automatic Build System <autodist@mambasoft.it> 3.28.1-1mamba
- automatic version update by autodist

* Fri Mar 30 2018 Automatic Build System <autodist@mambasoft.it> 3.28.0-1mamba
- automatic version update by autodist

* Wed Dec 27 2017 Automatic Build System <autodist@mambasoft.it> 3.26.0-1mamba
- automatic version update by autodist

* Mon Aug 14 2017 Automatic Build System <autodist@mambasoft.it> 3.24.0-1mamba
- automatic version update by autodist

* Sat Oct 15 2016 Automatic Build System <autodist@mambasoft.it> 3.22.0-1mamba
- automatic version update by autodist

* Wed May 04 2016 Automatic Build System <autodist@mambasoft.it> 3.20.0-1mamba
- automatic version update by autodist

* Tue Oct 27 2015 Automatic Build System <autodist@mambasoft.it> 3.18.1.1-1mamba
- automatic version update by autodist

* Sun Oct 11 2015 Automatic Build System <autodist@mambasoft.it> 3.18.0-1mamba
- automatic version update by autodist

* Tue Jun 30 2015 Automatic Build System <autodist@mambasoft.it> 3.16.3-1mamba
- automatic version update by autodist

* Fri May 15 2015 Automatic Build System <autodist@mambasoft.it> 3.16.2-1mamba
- automatic version update by autodist

* Wed May 13 2015 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Thu Oct 16 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.14.0-1mamba
- update to 3.14.0

* Sun Jan 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.10.2-1mamba
- update to 3.10.2

* Thu Mar 28 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Sat Sep 29 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Sun Apr 01 2012 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- update to 3.4.0

* Tue Apr 05 2011 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic update by autodist

* Tue Nov 16 2010 Automatic Build System <autodist@mambasoft.it> 2.32.1-1mamba
- automatic update to 2.32.1 by autodist

* Wed Sep 29 2010 Automatic Build System <autodist@mambasoft.it> 2.32.0-1mamba
- automatic update to 2.32.0 by autodist

* Sat May 29 2010 Automatic Build System <autodist@mambasoft.it> 2.30.0-1mamba
- automatic update to 2.30.0 by autodist

* Mon Sep 28 2009 Automatic Build System <autodist@mambasoft.it> 2.28.0-1mamba
- update to 2.28.0

* Fri Apr 03 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.0-1mamba
- package created by autospec
